GLXDESTROYGLXPIXMAP(3G) |  | GLXDESTROYGLXPIXMAP(3G)

# NAME

glXDestroyGLXPixmap - destroy a GLX pixmap

# C SPECIFICATION

void glXDestroyGLXPixmap( Display *dpy,
GLXPixmap pix )
delim$$

# PARAMETERS

dpy
  Specifies the connection to the X server.

pix
  Specifies the GLX pixmap to be destroyed.

# DESCRIPTION

If the GLX pixmap pix is not current to any client, glXDestroyGLXPixmap destroys it immediately. Otherwise, pix is destroyed when it becomes not current to any client. In either case, the resource ID is freed immediately.

# ERRORS

GLXBadPixmap is generated if pix is not a valid GLX pixmap.

# SEE ALSO

glXCreateGLXPixmap, glXMakeCurrent